package com.purui.prims.headless.server.persistence.mapper;

import com.purui.prims.headless.server.pojo.TagFilter;
import com.purui.prims.headless.api.pojo.response.TagResp;
import com.purui.prims.headless.server.persistence.dataobject.TagDO;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface TagCustomMapper {

    List<TagResp> queryTagRespList(TagFilter tagFilter);

    List<TagDO> getTagDOList(TagFilter tagFilter);

    Boolean deleteById(Long id);

    void deleteBatchByIds(List<Long> ids);

    void deleteBatchByType(List<Long> itemIds, String type);
}
